Bug 1005792 - Review Request: uima-addons - Apache UIMA Addons components
Summary: Review Request: uima-addons - Apache UIMA Addons components
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: xmlbeans-maven-plugin uimaj snowball
Blocks: solr 1051536
TreeView+ depends on / blocked
 
Reported: 2013-09-09 12:10 UTC by gil cattaneo
Modified: 2014-02-14 08:03 UTC (History)
1 user (show)

Fixed In Version: uima-addons-2.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-14 08:03:04 UTC
msimacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
uima-addons-2.3.1-httpclient.patch (759 bytes, application/x-octet-stream)
2014-01-23 11:05 UTC, gil cattaneo
no flags Details

Description gil cattaneo 2013-09-09 12:10:07 UTC
Spec URL: http://gil.fedorapeople.org/uima-addons.spec
SRPM URL: http://gil.fedorapeople.org/uima-addons-2.3.1-1.fc19.src.rpm
Description:
UIMA Addons is a collection of Annotators extracted for
sandbox for official distribution. It also provide
Simple Server and Pear packaging tools.
Fedora Account System Username: gil

Comment 1 Michael Simacek 2014-01-22 12:03:29 UTC
- missing BR on ant-contrib and ant-apache-regexp
- the httpclient patch seems empty (changes are just whitespace)
- why do you disable TikaAnnotator, Solrcas and ConfigurableFeatureExtractor? emf, tika and solr are available in Fedora
- why do you remove those plugins? they are unneeded for you, but they don't do any harm and someone could make use of those OSGi artifacts
- this package consists of addons, maybe it would make sense to separate artifacts into subpackages

Comment 2 gil cattaneo 2014-01-22 12:39:54 UTC
(In reply to Michael Simacek from comment #1)
> - missing BR on ant-contrib and ant-apache-regexp
Done
> - the httpclient patch seems empty (changes are just whitespace)
strange ...
> - why do you disable TikaAnnotator, Solrcas and
> ConfigurableFeatureExtractor? emf, tika and solr are available in Fedora
They use unavailable or too old build deps
e.g. org.apache.uima:uimaj-examples required by ConfigurableFeatureExtractor
need some eclipse emf artifacts and maven pom or depmap are unavailable
use too old tika  version (our tika package is imcompatible...)
Lucas require lucene 2.x
Solrcas solr-solrj 3.1.0
> - why do you remove those plugins? they are unneeded for you, but they don't
> do any harm and someone could make use of those OSGi artifacts
for use these plugin should be enable/built all sub modules
> - this package consists of addons, maybe it would make sense to separate
> artifacts into subpackages
if possible prefer maintein the package as well as is

Comment 3 Michael Simacek 2014-01-23 10:30:33 UTC
Ok, then fix the patch or remove it and give me current spec and srpm, so I can run fedora-review on it.

Comment 4 gil cattaneo 2014-01-23 11:05:35 UTC
Created attachment 854306 [details]
uima-addons-2.3.1-httpclient.patch

Comment 5 gil cattaneo 2014-01-23 11:07:45 UTC
to Michael Simacek from comment #3)
> Ok, then fix the patch or remove it and give me current spec and srpm, so I
> can run fedora-review on it.
patch for me is not empty

Spec URL: http://gil.fedorapeople.org/uima-addons.spec
SRPM URL: http://gil.fedorapeople.org/uima-addons-2.3.1-1.fc19.src.rpm(In reply

Comment 7 Michael Simacek 2014-02-03 13:52:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- There are many JCasGen generated sourecs. We already have
  jcasgen-maven-plugin, therefore the files should be generated/updated during
  build
- %description: s/provide/provides/
- README.txt is about Tika that upstream bundles, but it is irrelevant to this
  package - don't install it

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     48 files have unknown license. Detailed output of licensecheck in
     /home/msimacek/1005792-uima-addons/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in uima-
     addons-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[?]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uima-addons-2.3.1-1.fc21.noarch.rpm
          uima-addons-javadoc-2.3.1-1.fc21.noarch.rpm
          uima-addons-2.3.1-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
uima-addons-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

uima-addons (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(bsf:bsf)
    mvn(commons-digester:commons-digester)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(commons-logging:commons-logging-api)
    mvn(javax.xml.stream:stax-api)
    mvn(log4j:log4j)
    mvn(org.apache.uima:uimaj-core)
    mvn(org.apache.xmlbeans:xmlbeans)
    mvn(org.beanshell:bsh)
    mvn(org.tartarus:snowball)
    mvn(rhino:js)



Provides
--------
uima-addons-javadoc:
    uima-addons-javadoc

uima-addons:
    mvn(org.apache.uima:AlchemyAPIAnnotator)
    mvn(org.apache.uima:BSFAnnotator)
    mvn(org.apache.uima:ConceptMapper)
    mvn(org.apache.uima:DictionaryAnnotator)
    mvn(org.apache.uima:FsVariables)
    mvn(org.apache.uima:OpenCalaisAnnotator)
    mvn(org.apache.uima:PearPackagingAntTask)
    mvn(org.apache.uima:RegularExpressionAnnotator)
    mvn(org.apache.uima:SimpleServer)
    mvn(org.apache.uima:SnowballAnnotator)
    mvn(org.apache.uima:Tagger)
    mvn(org.apache.uima:WhitespaceTokenizer)
    mvn(org.apache.uima:uima-addons)
    mvn(org.apache.uima:uima-addons-parent)
    mvn(org.apache.uima:uima-addons-parent:pom:)
    mvn(org.apache.uima:uima-addons:pom:)
    uima-addons



Source checksums
----------------
http://www.apache.org/dist/uima/uima-addons-2.3.1-source-release.zip :
  CHECKSUM(SHA256) this package     : f4f3b67c45c8538ccded8d33be11a13c56c60566777f8eb65db2c63ff9ce9b63
  CHECKSUM(SHA256) upstream package : f4f3b67c45c8538ccded8d33be11a13c56c60566777f8eb65db2c63ff9ce9b63


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1005792
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 8 gil cattaneo 2014-02-03 16:35:56 UTC
(In reply to Michael Simacek from comment #7)

> Issues:
> =======
> - There are many  generated sourecs. We already have
>   jcasgen-maven-plugin, therefore the files should be generated/updated during
>   build

JCasGen resources are unavailables

e.g.

<plugin>
    <groupId>org.apache.uima</groupId>
    <artifactId>jcasgen-maven-plugin</artifactId>
    <version>2.5.0</version>
    <configuration>
        <typeSystemIncludes>
            <typeSystemInclude>src/main/resources/TypeSystem.xml</typeSystemInclude>
        </typeSystemIncludes>
    </configuration>
    <executions>
        <execution>
            <goals>
                <goal>generate</goal>
            </goals>
        </execution>
    </executions>
</plugin>

> - %description: s/provide/provides/

Done

> - README.txt is about Tika that upstream bundles, but it is irrelevant to
> this
>   package - don't install it

Done


Spec URL: http://gil.fedorapeople.org/uima-addons.spec
SRPM URL: http://gil.fedorapeople.org/uima-addons-2.3.1-1.fc19.src.rpm

Comment 9 Michael Simacek 2014-02-04 09:02:06 UTC
> JCasGen resources are unavailables

Most of them are available, unfortunately not all and some also have the source comment deleted, suggesting they might have been modified by hand. Generating at least some of them would be possible, but since we don't know whether they wouldn't be manually modified, it no longer seems like a good idea. So leave it as it is.

Some test that worked in mock failed in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6488495

Comment 11 Michael Simacek 2014-02-04 12:36:27 UTC
Now it seems okay.

Comment 12 gil cattaneo 2014-02-04 12:47:01 UTC
Thanks!

New Package SCM Request
=======================
Package Name: uima-addons
Short Description: Apache UIMA Addons components
Owners: gil
Branches: f20
InitialCC: java-sig

Comment 13 Gwyn Ciesla 2014-02-04 14:03:57 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-02-04 20:41:46 UTC
uima-addons-2.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uima-addons-2.3.1-1.fc20

Comment 15 Fedora Update System 2014-02-06 03:55:35 UTC
uima-addons-2.3.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 16 Fedora Update System 2014-02-14 08:03:04 UTC
uima-addons-2.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.